Page MenuHomePhabricator

Enforce reason requirement when moderating posts in JS
Closed, ResolvedPublic

Description

Right now if you try moderating a post and don't give a reason (I only tested with delete, assume it applies to all types), the API will reject it and send an error back. Rather than waiting for the API to complain, we should catch that pre-submission and show the user an error immediately.

For people with slow dev machines the difference will be noticeable ;)


Version: unspecified
Severity: minor

Details

Reference
bz60552

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz60552.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Jan 29 2014, 1:12 AM
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:39 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 7:00 PM
SBisson closed this task as Resolved.Jul 20 2018, 6:05 PM
SBisson claimed this task.